com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_TuningCaps

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_TuningCaps
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_TuningCaps

-     public class STUHFL_T_ST25RU3993_TuningCaps
      extends BR_ST25RU3993_TuningCaps

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_TuningCaps

      `BR_ST25RU3993_TuningCaps.Fields, BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.USED_ANTENNA` | `antenna`
    `BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps` | `caps` < I/O Param: Current item index in channel list
    `short` | `channelListIdx` < I Param: Antenna to which the ChannelList belongs

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_TuningCaps()`
    `STUHFL_T_ST25RU3993_TuningCaps(STUHFL_E.USED_ANTENNA antenna, byte channelListIdx, BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps caps)`
    `STUHFL_T_ST25RU3993_TuningCaps(STUHFL_T_ST25RU3993_TuningCaps other)` < I/O Param: Tuning caps at antenna

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set Cin, Clen and Cout of tuning caps at given antenna
    `STUHFL_E.RET_CODE` | `fetch()` Get Cin, Clen and Cout of tuning caps at given antenna
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_TuningCaps

      `_Get_TuningCaps, _Set_TuningCaps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### antenna

          public STUHFL_E.USED_ANTENNA antenna

    - #### channelListIdx

          public short channelListIdx

      < I Param: Antenna to which the ChannelList belongs

    - #### caps

          public BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps caps

      < I/O Param: Current item index in channel list

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_TuningCaps

          public STUHFL_T_ST25RU3993_TuningCaps(STUHFL_T_ST25RU3993_TuningCaps other)

      < I/O Param: Tuning caps at antenna

    - #### STUHFL_T_ST25RU3993_TuningCaps

          public STUHFL_T_ST25RU3993_TuningCaps(STUHFL_E.USED_ANTENNA antenna,
                                                byte channelListIdx,
                                                BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps caps)

    - #### STUHFL_T_ST25RU3993_TuningCaps

          public STUHFL_T_ST25RU3993_TuningCaps()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set Cin, Clen and Cout of tuning caps at given antenna
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get Cin, Clen and Cout of tuning caps at given antenna
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`